"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Annotations associated with the plain-text body of the message.  Example
 * plain-text message body: ``` Hello @FooBot how are you!" ```  The
 * corresponding annotations metadata: ``` "annotations":[{
 * "type":"USER_MENTION",   "startIndex":6,
 * "length":7,   "userMention": {     "user": {
 * "name":"users/107946847022116401880",
 * "displayName":"FooBot",
 * "avatarUrl":"https://goo.gl/aeDtrS",
 * "type":"BOT"     },
 * "type":"MENTION"    } }] ```
 */
class Annotation {
    getLength() {
        return this.length;
    }
    setLength(value) {
        this.length = value;
        return this;
    }
    getStartIndex() {
        return this.startIndex;
    }
    setStartIndex(value) {
        this.startIndex = value;
        return this;
    }
    getType() {
        return this.type;
    }
    setType(value) {
        this.type = value;
        return this;
    }
    getUserMention() {
        return this.userMention;
    }
    setUserMention(value) {
        this.userMention = value;
        return this;
    }
}
exports.Annotation = Annotation;
//# sourceMappingURL=annotation.js.map