import { CardAction } from "./cardAction";
import { CardHeader } from "./cardHeader";
import { Section } from "./section";
/**
 * A card is a UI element that can contain UI widgets such as texts, images.
 */
export declare class Card {
    /**
     * The actions of this card.
     */
    private cardActions?;
    /**
     * The header of the card. A header usually contains a title and an image.
     */
    private header?;
    /**
     * Name of the card.
     */
    private name?;
    /**
     * Sections are separated by a line divider.
     */
    private sections?;
    getCardActions(): CardAction[];
    addCardAction(value: CardAction): Card;
    setCardActions(value: CardAction[]): Card;
    getHeader(): CardHeader;
    setHeader(value: CardHeader): Card;
    getName(): string;
    setName(value: string): Card;
    getSections(): Section[];
    addSection(value: Section): Card;
    setSections(value: Section[]): Card;
}
