import { ActionParameter } from "./actionParameter";
/**
 * A form action describes the behavior when the form is submitted. For
 * example, an Apps Script can be invoked to handle the form.
 */
export declare class FormAction {
    /**
     * Apps Script function to invoke when the containing element is
     * clicked/activated.
     */
    private actionMethodName?;
    /**
     * List of action parameters.
     */
    private parameters?;
    getActionMethodName(): string;
    setActionMethodName(value: string): FormAction;
    getParameters(): ActionParameter[];
    addParameter(value: ActionParameter): FormAction;
    setParameters(value: ActionParameter[]): FormAction;
}
