import { OnClick } from "./onClick";
/**
 * An image that is specified by a URL and can have an onclick action.
 */
export declare class Image {
    /**
     * The aspect ratio of this image (width/height).
     */
    private aspectRatio?;
    /**
     * The URL of the image.
     */
    private imageUrl?;
    /**
     * The onclick action.
     */
    private onClick?;
    getAspectRatio(): number;
    setAspectRatio(value: number): Image;
    getImageUrl(): string;
    setImageUrl(value: string): Image;
    getOnClick(): OnClick;
    setOnClick(value: OnClick): Image;
}
