import { OnClick } from "./onClick";
/**
 * An image button with an onclick action.
 */
export declare class ImageButton {
    /**
     * The icon specified by an enum that indices to an icon provided by Chat
     * API.
     */
    private icon?;
    /**
     * The icon specified by a URL.
     */
    private iconUrl?;
    /**
     * The name of this image_button which will be used for accessibility.
     * Default value will be provided if developers don'#39;t specify.
     */
    private name?;
    /**
     * The onclick action.
     */
    private onClick?;
    getIcon(): string;
    setIcon(value: string): ImageButton;
    getIconUrl(): string;
    setIconUrl(value: string): ImageButton;
    getName(): string;
    setName(value: string): ImageButton;
    getOnClick(): OnClick;
    setOnClick(value: OnClick): ImageButton;
}
