import { Button } from "./button";
import { OnClick } from "./onClick";
import { Icon } from "./icon";
/**
 * A UI element contains a key (label) and a value (content). And this element
 * may also contain some actions such as onclick button.
 */
export declare class KeyValue {
    /**
     * The text of the bottom label. Formatted text supported.
     */
    private bottomLabel?;
    /**
     * A button that can be clicked to trigger an action.
     */
    private button?;
    /**
     * The text of the content. Formatted text supported and always required.
     */
    private content?;
    /**
     * If the content should be multiline.
     */
    private contentMultiline?;
    /**
     * An enum value that will be replaced by the Chat API with the
     * corresponding icon image.
     */
    private icon?;
    /**
     * The icon specified by a URL.
     */
    private iconUrl?;
    /**
     * The onclick action. Only the top label, bottom label and content region
     * are clickable.
     */
    private onClick?;
    /**
     * The text of the top label. Formatted text supported.
     */
    private topLabel?;
    getBottomLabel(): string;
    setBottomLabel(value: string): KeyValue;
    getButton(): Button;
    setButton(value: Button): KeyValue;
    getContent(): string;
    setContent(value: string): KeyValue;
    getContentMultiline(): boolean;
    setContentMultiline(value: boolean): KeyValue;
    getIcon(): Icon;
    setIcon(value: Icon): KeyValue;
    getIconUrl(): string;
    setIconUrl(value: string): KeyValue;
    getOnClick(): OnClick;
    setOnClick(value: OnClick): KeyValue;
    getTopLabel(): string;
    setTopLabel(value: string): KeyValue;
}
