import { WidgetMarkup } from "./widgetMarkup";
/**
 * A section contains a collection of widgets that are rendered (vertically)
 * in the order that they are specified. Across all platforms, cards have a
 * narrow fixed width, so there is currently no need for layout properties
 * (e.g. float).
 */
export declare class Section {
    /**
     * The header of the section, text formatted supported.
     */
    private header?;
    /**
     * A section must contain at least 1 widget.
     */
    private widgets?;
    getHeader(): string;
    setHeader(value: string): Section;
    getWidgets(): WidgetMarkup[];
    addWidget(value: WidgetMarkup): Section;
    setWidgets(value: WidgetMarkup[]): Section;
}
