"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * A section contains a collection of widgets that are rendered (vertically)
 * in the order that they are specified. Across all platforms, cards have a
 * narrow fixed width, so there is currently no need for layout properties
 * (e.g. float).
 */
class Section {
    getHeader() {
        return this.header;
    }
    setHeader(value) {
        this.header = value;
        return this;
    }
    getWidgets() {
        return this.widgets;
    }
    addWidget(value) {
        if (!this.widgets) {
            this.widgets = [];
        }
        this.widgets.push(value);
        return this;
    }
    setWidgets(value) {
        this.widgets = value;
        return this;
    }
}
exports.Section = Section;
//# sourceMappingURL=section.js.map