import { Button } from "./button";
import { TextParagraph } from "./textParagraph";
import { Image } from "./image";
import { KeyValue } from "./keyValue";
/**
 * A widget is a UI element that presents texts, images, etc.
 */
export declare class WidgetMarkup {
    /**
     * A list of buttons. Buttons is also oneof data and only one of these
     * fields should be set.
     */
    private buttons?;
    /**
     * Display an image in this widget.
     */
    private image?;
    /**
     * Display a key value item in this widget.
     */
    private keyValue?;
    /**
     * Display a text paragraph in this widget.
     */
    private textParagraph?;
    getButtons(): Button[];
    addButton(value: Button): WidgetMarkup;
    setButtons(value: Button[]): WidgetMarkup;
    getImage(): Image;
    setImage(value: Image): WidgetMarkup;
    getKeyValue(): KeyValue;
    setKeyValue(value: KeyValue): WidgetMarkup;
    getTextParagraph(): TextParagraph;
    setTextParagraph(value: TextParagraph): WidgetMarkup;
}
